
#include "common.h"

#if defined(DEBUG) && defined(CONFIG_UART)
static uint8_t s_byDpBuffer[256];

void uvc_debug(uint8_t priority, const char *arg, ...)
{
	uint16_t nLen;
	char *szTemp = (char*)(s_byDpBuffer + 5);
	CyU3PReturnStatus_t stRet;
	s_byDpBuffer[0] = 0xE2;
	s_byDpBuffer[1] = 0x00;
	s_byDpBuffer[2] = 0x55;
	s_byDpBuffer[3] = 0xAA;
	s_byDpBuffer[4] = 0x02;
	CyU3PDebugStringPrint(szTemp, 256 - 6, arg);
	nLen = strlen(szTemp);
	s_byDpBuffer[nLen + 5] = 0xFF;
	CyU3PUartTransmitBytes(s_byDpBuffer, nLen + 6, &stRet);
}

#endif//DEBUG && CONFIG_UART
