#include "common.h"

void datarw_write(unsigned char *pBuffer, unsigned char nLen)
{
	CyU3PReturnStatus_t apiRetStatus = 0;
	CyU3PUartTransmitBytes(pBuffer, nLen, &apiRetStatus);
//	CyU3PThreadSleep(3);
}

int datarw_read(unsigned char *pBuffer, unsigned char nLen, unsigned char nTimeout, unsigned char byMask1, unsigned char byMask2)
{
	pBuffer[0] = 0x00;
	pBuffer[1] = 0x00;
	pBuffer[2] = 0x00;
	pBuffer[3] = 0x00;
	pBuffer[4] = 0x00;
	pBuffer[5] = 0x00;

	CyU3PReturnStatus_t apiRetStatus = 0;
	int nRecvLen = 0;
//	nTimeout = 1;
	while(nTimeout > 0)
	{
		nRecvLen = CyU3PUartReceiveBytes(pBuffer, nLen, &apiRetStatus);
		if((pBuffer[0] == 0xE2) && (pBuffer[3] == 0x50) && (pBuffer[4] == byMask1) && (pBuffer[5] == byMask2) && (pBuffer[nRecvLen - 1] == 0xFF))
		{
//			datarw_write(pBuffer, nRecvLen); //test uart receive
			return nRecvLen;
		}
		nTimeout --;
//		CyU3PThreadSleep(20);
	}
	return 0;
}
