// debug.h
#ifndef __DEBUG_H__
#define __DEBUG_H__

#if defined(DEBUG)
	#if defined(CONFIG_UART)
	extern void uvc_debug(uint8_t priority, const char *arg, ...);
	#define DPINFO uvc_debug
	#elif defined(CONFIG_I2C)
	#define DPINFO CyU3PDebugPrint
	#else
	#define DPINFO(_p, _arg, ...) {}
	#endif//CONFIG_UART

#else // DEBUG

#define DPINFO(_p, _arg, ...) {}

#endif//DEBUG


#endif//__DEBUG_H__
